Loading...

Amazon: System Requirements

To provide better throughput for streaming backup and backup copy operations, use a compute-optimized instance hosted in Amazon. For more information, see Amazon EC2 Instance Types. Do not use a Nitro-based instance.

The VSA proxy must be in the same Amazon account and located in the same region as the instances to be backed up.

For VM conversion and restores, the VSA proxy can be an Amazon instance or an external machine.

For IntelliSnap backups and restores from IntelliSnap jobs, the VSA proxy can be an Amazon instance or an external machine.

The VSA proxy must meet the following requirements:

  • Operating system must be one of the following:
    • Windows Server 2016
    • Windows Server 2012 R2
  • Minimum of 100 GB disk space recommended.
  • Minimum of 4 GB RAM required beyond the requirements of the operating system and running applications.
  • The VSA proxy machine must be able to connect to ec2.amazonaws.com, or the regional equivalent if the Amazon account is restricted to specific regions. To route communications through an HTTP or HTTPS proxy, provide proxy information in the CommServe Control Panel, on the HTTP Proxy tab of the Internet Options dialog box. To use an HTTPS proxy, you must provide authentication details.

For VSA proxies running on Amazon instances, the following additional requirements apply:

  • Windows Server 2012 R2 instances where the Virtual Server Agent is installed must upgrade to the latest paravirtual (PV) driver.
  • EBS optimized, high IOPS volume.
  • For streaming backups and backup copies, if the VSA proxy used for backups and restores is running on an Amazon instance, the proxy must be available in the same user account as the instance being backed up or restored. This requirement does not apply to IntelliSnap backups.

Linux Proxy Support

You can configure a VSA proxy on a Linux instance using either of the following methods:

  • Deploy an AWS Marketplace AMI to serve as a Virtual Server Agent proxy for Amazon.
  • Configure a CentOS 7.4 or RHEL 7.5 instance and install the following software:
    • Mono 5.16.0.187
    • Virtual Server Agent

For more information, see Linux Proxy Support for Amazon Web Services.

Related Topics

For more information, see System Requirements for Virtual Server Agent with Amazon.

Last modified: 2/15/2019 10:03:05 PM